# SDPVideoMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPVideoMediaDescription:

[legend]
Collaboration diagram for SDPVideoMediaDescription:
[legend]

## Public Member Functions

| SDPVideoMediaDescription (const OpalTransportAddress &address)
virtual PString | GetSDPMediaType () const
virtual bool | PreEncode ()
virtual void | OutputAttributes (ostream &str) const
virtual void | SetAttribute (const PString &attr, const PString &value)
virtual bool | PostDecode (const OpalMediaFormatList &mediaFormats)
virtual OpalVideoFormat::ContentRole | GetContentRole () const

## Protected Attributes

OpalVideoFormat::ContentRole | m_contentRole
unsigned | m_contentMask

## Constructor & Destructor Documentation

SDPVideoMediaDescription::SDPVideoMediaDescription | ( | const OpalTransportAddress & | address | ) |

## Member Function Documentation

virtual OpalVideoFormat::ContentRole SDPVideoMediaDescription::GetContentRole | ( |  | ) | const`[inline, virtual]`

Reimplemented from SDPMediaDescription.

virtual PString SDPVideoMediaDescription::GetSDPMediaType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual void SDPVideoMediaDescription::OutputAttributes | ( | ostream & | str | ) | const`[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

virtual bool SDPVideoMediaDescription::PostDecode | ( | const OpalMediaFormatList & | mediaFormats | ) | `[virtual]`

Reimplemented from SDPMediaDescription.

virtual bool SDPVideoMediaDescription::PreEncode | ( |  | ) | `[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

virtual void SDPVideoMediaDescription::SetAttribute | ( | const PString & | attr,
|  | const PString & | value |
| ) |  |  | `[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

## Field Documentation

unsigned SDPVideoMediaDescription::m_contentMask `[protected]`

OpalVideoFormat::ContentRole SDPVideoMediaDescription::m_contentRole `[protected]`

The documentation for this class was generated from the following file:

- sdp.h